#!/usr/bin/perl

$input_lsvm = $ARGV[0];
$ss=$ARGV[1];
$tt=$ARGV[2];
$dd=$ARGV[3];
$cc=$ARGV[4];
$nn=$ARGV[5];
$vv=$ARGV[6];

$scale = $input_lsvm; $scale=~s/\.lsvm$/.scale/; 
$scaled_lsvm = $input_lsvm; $scaled_lsvm =~ s/\.lsvm/.scaled.lsvm/;
$model = $input_lsvm; $model=~s/\.lsvm$/.model/;
 
# scale features, build model

# system("libsvm-small/svm-scale -s $scale $input_lsvm >$scaled_lsvm");
system("svm-scale -s $scale $input_lsvm > $scaled_lsvm");

$discfile = $input_lsvm; $discfile=~s/\.lsvm$/.disc/;
open(FILE,"<$discfile");
$disc=<FILE>; $disc=~s/\r?\n$//;
close(FILE);

if ($disc) { # classification if disc==1

print "  building an SVM CLASSFICATION model...\n";
#classification:
system("svm-train -b 1 -s 0 -t 0 -d 1 -c 0.3  $scaled_lsvm $model");


} else { # regression otherwise:

print "  building an SVR REGRESSION model...\n";
#regression
#system("svm-train -b 1 -s $ss -t $tt -d $dd -c $cc -p $nn -v $$vv $scaled_lsvm $model");
system("svm-train -b 1 -s $ss -t $tt -d $dd -c $cc -p $nn  $scaled_lsvm $model");
#system("svm-train -s 4 -t 0 -d 1 -c 1 $scaled_lsvm $model");
 #system("svm-train -s 3 -t 1 -d 1 -c 0.3 $scaled_lsvm $model");
#system("svm-train -s 3 -t 1 -d 3 -c 0.4 -v 20 $scaled_lsvm $model");


}

